Name:           sahara-image-elements
Version:        2014.2 
Release:        4%{?dist}
Summary:        Image creation tools for Openstack Sahara

License:        ASL 2.0
URL:            https://launchpad.net/sahara
Source0:        http://tarballs.openstack.org/sahara-image-elements/sahara-image-elements-%{version}.tar.gz
BuildArch:      noarch

#
# patches_base=2014.2
#
Patch0001: 0001-Removing-git-repo-dependency.patch
Patch0002: 0002-RHEL-compatibility-for-CDH-and-HDP.patch
Patch0003: 0003-Documentation-updates.patch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.5.19

Requires: diskimage-builder >= 0.1.34-21
Requires: rsync
Requires: wget
Requires: qemu-img
Requires: qemu-kvm
Requires: kpartx

%description
Sahara-image-elements provides the ability to create the images necessary to generate data processing clusters
in Sahara.

%prep
%setup -q -n sahara-image-elements-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

rm -rf sahara_image_elements.egg-info
rm -rf elements/.gitignore
rm -rf elements/apt-mirror
rm -rf elements/centos-mirror
rm -rf elements/fedora-mirror
rm -rf elements/hadoop
rm -rf elements/hadoop-cdh
rm -rf elements/hadoop-cloudera
rm -rf elements/hive
rm -rf elements/mysql
rm -rf elements/oozie
rm -rf elements/root-passwd
rm -rf elements/ssh
rm -rf elements/spark
rm -rf elements/storm
rm -rf elements/swift_hadoop
rm -rf elements/zookeeper

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -p -D -m 755 diskimage-create/sahara-disk-image-create %{buildroot}%{_bindir}/sahara-disk-image-create

%files
%doc AUTHORS LICENSE ChangeLog
%{_bindir}/sahara-disk-image-create
%{_datadir}/sahara-elements
%{python2_sitelib}/sahara_image_elements-%{version}-py?.?.egg-info

%changelog
* Mon Mar 30 2015 Ethan Gafford <egafford@redhat.com> - 2014.2-4
- Adding HDP image creation script and documentation.
- Resolves: rhbz#1207369

* Wed Jan 07 2015 Ethan Gafford <egafford@redhat.com> - 2014.2-3
- Removal of HDP 1.3 and Cloudera from documentation and codebase.

* Tue Jan 06 2015 Ethan Gafford <egafford@redhat.com> - 2014.2-2
- Documentation updates for use without wrapper script.

* Mon Dec 15 2014 Ethan Gafford <egafford@redhat.com> - 2014.2-1
- Initial package.
